Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class ExpressionCollection

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.BaseExpression
          org.eclipse.birt.data.engine.api.querydefn.ExpressionCollection

All Implemented Interfaces:
  IBaseExpression, IExpressionCollection

    public class ExpressionCollection

extends BaseExpression
implements IExpressionCollection

Default implementation of `IExpressionCollection` interface.

Field Summary

Fields inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseExpression
`dataType, handle`

Fields inherited from interface org.eclipse.birt.data.engine.api.IBaseExpression
`GROUP_OVERALL`

Constructor Summary
`ExpressionCollection(IBaseExpression[] expression)`
`ExpressionCollection(java.util.List text)`

Method Summary
`java.util.Collection` | `getExpressions()` Gets the expression collection.

Methods inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseExpression
`getDataType, getGroupName, getHandle, getID, setDataType, setGroupName, setHandle, setID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseExpression
`getDataType, getGroupName, getHandle, setGroupName, setHandle`

Constructor Detail

### ExpressionCollection

    public ExpressionCollection(java.util.List text)

Parameters:
  `text` -
Throws:
  `org.eclipse.birt.data.engine.core.DataException`

### ExpressionCollection

    public ExpressionCollection(IBaseExpression[] expression)

Parameters:
  `expression` -

Method Detail

### getExpressions

    public java.util.Collection getExpressions()

  Description copied from interface: `IExpressionCollection`
  Gets the expression collection.

  Specified by:
    `getExpressions` in interface `IExpressionCollection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.